﻿// Decompiled with JetBrains decompiler
// Type: public_errors
// Assembly: BLRCrashReporter, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
// MVID: C4DCEFA4-04D9-4613-B271-9E50BDA5C72F
// Assembly location: C:\Users\SuperEwald\Downloads\depotdownloader-2.3.6\depots\209871\2520205\Blacklight Retribution\Live\Binaries\Win32\BLRCrashReporter.exe

internal class public_errors
{
  public const uint ERROR_ok = 0;
  public const uint ERROR_undefined = 1;
  public const uint ERROR_not_implemented = 2;
  public const uint ERROR_ok_no_update = 3;
  public const uint ERROR_dont_notify = 4;
  public const uint ERROR_command_not_found = 256;
  public const uint ERROR_unable_to_bind_network_port = 257;
  public const uint ERROR_no_network_port_available = 258;
  public const uint ERROR_client_invalid_id = 512;
  public const uint ERROR_client_nickname_inuse = 513;
  public const uint ERROR_client_protocol_limit_reached = 515;
  public const uint ERROR_client_invalid_type = 516;
  public const uint ERROR_client_already_subscribed = 517;
  public const uint ERROR_client_not_logged_in = 518;
  public const uint ERROR_client_could_not_validate_identity = 519;
  public const uint ERROR_client_version_outdated = 522;
  public const uint ERROR_channel_invalid_id = 768;
  public const uint ERROR_channel_protocol_limit_reached = 769;
  public const uint ERROR_channel_already_in = 770;
  public const uint ERROR_channel_name_inuse = 771;
  public const uint ERROR_channel_not_empty = 772;
  public const uint ERROR_channel_can_not_delete_default = 773;
  public const uint ERROR_channel_default_require_permanent = 774;
  public const uint ERROR_channel_invalid_flags = 775;
  public const uint ERROR_channel_parent_not_permanent = 776;
  public const uint ERROR_channel_maxclients_reached = 777;
  public const uint ERROR_channel_maxfamily_reached = 778;
  public const uint ERROR_channel_invalid_order = 779;
  public const uint ERROR_channel_no_filetransfer_supported = 780;
  public const uint ERROR_channel_invalid_password = 781;
  public const uint ERROR_server_invalid_id = 1024;
  public const uint ERROR_server_running = 1025;
  public const uint ERROR_server_is_shutting_down = 1026;
  public const uint ERROR_server_maxclients_reached = 1027;
  public const uint ERROR_server_invalid_password = 1028;
  public const uint ERROR_server_is_virtual = 1031;
  public const uint ERROR_server_is_not_running = 1033;
  public const uint ERROR_parameter_quote = 1536;
  public const uint ERROR_parameter_invalid_count = 1537;
  public const uint ERROR_parameter_invalid = 1538;
  public const uint ERROR_parameter_not_found = 1539;
  public const uint ERROR_parameter_convert = 1540;
  public const uint ERROR_parameter_invalid_size = 1541;
  public const uint ERROR_parameter_missing = 1542;
  public const uint ERROR_vs_critical = 1792;
  public const uint ERROR_connection_lost = 1793;
  public const uint ERROR_not_connected = 1794;
  public const uint ERROR_no_cached_connection_info = 1795;
  public const uint ERROR_currently_not_possible = 1796;
  public const uint ERROR_failed_connection_initialisation = 1797;
  public const uint ERROR_could_not_resolve_hostname = 1798;
  public const uint ERROR_invalid_server_connection_handler_id = 1799;
  public const uint ERROR_could_not_initialise_input_manager = 1800;
  public const uint ERROR_clientlibrary_not_initialised = 1801;
  public const uint ERROR_serverlibrary_not_initialised = 1802;
  public const uint ERROR_sound_preprocessor_disabled = 2304;
  public const uint ERROR_sound_internal_preprocessor = 2305;
  public const uint ERROR_sound_internal_encoder = 2306;
  public const uint ERROR_sound_internal_playback = 2307;
  public const uint ERROR_sound_no_capture_device_available = 2308;
  public const uint ERROR_sound_no_playback_device_available = 2309;
  public const uint ERROR_sound_could_not_open_capture_device = 2310;
  public const uint ERROR_sound_could_not_open_playback_device = 2311;
  public const uint ERROR_sound_handler_has_device = 2312;
  public const uint ERROR_sound_invalid_capture_device = 2313;
  public const uint ERROR_sound_invalid_playback_device = 2314;
  public const uint ERROR_accounting_virtualserver_limit_reached = 2816;
  public const uint ERROR_accounting_slot_limit_reached = 2817;
  public const uint ERROR_accounting_license_file_not_found = 2818;
  public const uint ERROR_accounting_license_date_not_ok = 2819;
  public const uint ERROR_accounting_unable_to_connect_to_server = 2820;
  public const uint ERROR_accounting_unknown_error = 2821;
  public const uint ERROR_accounting_server_error = 2822;
  public const uint ERROR_accounting_instance_limit_reached = 2823;
  public const uint ERROR_accounting_instance_check_error = 2824;
  public const uint ERROR_accounting_license_file_invalid = 2825;
  public const uint ERROR_accounting_running_elsewhere = 2826;
  public const uint ERROR_accounting_instance_duplicated = 2827;
  public const uint ERROR_accounting_already_started = 2828;
  public const uint ERROR_accounting_not_started = 2829;
}
